Bug 132449 - [NEW PORT] textproc/mdocml: Suite of mdoc compilers for BSD man pages
Summary: [NEW PORT] textproc/mdocml: Suite of mdoc compilers for BSD man pages
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-09 11:20 UTC by Ulrich Spoerlein
Modified: 2009-03-25 18:11 UTC (History)
1 user (show)

See Also:


Attachments
mdocml-1.4.2.shar (5.04 KB, text/plain)
2009-03-09 11:20 UTC, Ulrich Spoerlein
no flags Details
mdocml.shar (2.64 KB, application/x-shar)
2009-03-09 15:37 UTC, Ulrich Spoerlein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2009-03-09 11:20:01 UTC
Hello,

this is a quick port of the mdoc tools by Kristaps Džonsons, see [1] for some
discussion about it.

@ Kristaps: I had to add <sys/types.h> includes for u_char and <time.h> for
time_t. Perhaps you can import these changes into the official tree?

Also, CPPFLAGS is somehow not passed to the .c -> .o rule, so I had to add
it manually in the Makefile. I also took the liberty and strip binaries on
install, as this is usually done for FreeBSD ports.

Thanks for working on this, I'm looking forward to the day, this is able to
render all man pages on FreeBSD.

[1]: http://mail-index.netbsd.org/tech-userlevel/2009/03/01/msg001766.html
WWW: http://mdocml.bsd.lv/

Generated with FreeBSD Port Tools 0.77
Comment 1 Martin Wilke freebsd_committer 2009-03-09 12:53:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Kristaps Džonsons 2009-03-09 13:41:36 UTC
Ulrich et al., I've merged the <sys/types.h> and <time.h> request into
the mainline.  I also fixed the CPPFLAGS part of the Makefile (it's now
put directly into CFLAGS/LINTFLAGS).  I don't have a FreeBSD box to
check this on, but it works on Linux, NetBSD and OpenBSD.

> Thanks for working on this, I'm looking forward to the day, this is able to
> render all man pages on FreeBSD.

Please submit patches for new/different macros/strings!  I work
primarily with NetBSD and OpenBSD, so I don't delve often into the groff
disparity within FreeBSD.

mdocml still has a few more version before it can handle all mdoc --
specifically (from mdocterm.1), some `Bd' work needs to be done and `Bl
-hang and -column are still in progress.

Note that the current version, which I suggestion, is mdocml-1.4.6.

Thanks, --kk
Comment 3 Ulrich Spoerlein 2009-03-09 15:37:13 UTC
On Mon, 09.03.2009 at 14:41:36 +0100, Kristaps Džonsons wrote:
> > Thanks for working on this, I'm looking forward to the day, this is able to
> > render all man pages on FreeBSD.
> 
> Please submit patches for new/different macros/strings!  I work
> primarily with NetBSD and OpenBSD, so I don't delve often into the groff
> disparity within FreeBSD.
> 
> mdocml still has a few more version before it can handle all mdoc --
> specifically (from mdocterm.1), some `Bd' work needs to be done and `Bl
> -hang and -column are still in progress.
> 
> Note that the current version, which I suggestion, is mdocml-1.4.6.

Four versions in one day, heh :)

I'll attach an updated shar-ball. I'm only keeping the Makefile changes,
since FreeBSD ports usually ship without debug symbols, and this is easy
to change for the individual developer.

Cheers,
Uli
Comment 4 dfilter service freebsd_committer 2009-03-25 17:48:50 UTC
miwi        2009-03-25 17:48:31 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/mdocml      Makefile distinfo pkg-descr 
    textproc/mdocml/files patch-Makefile patch-main.c 
  Log:
  The mdocml utilities interface with the mdoc library to compile
  mdoc-roff documents into a variety of output formats.
  
  WWW: http://mdocml.bsd.lv/
  
  PR:             ports/132449
  Submitted by:   Ulrich Spoerlein <uspoerlein at gmail.com>
  
  Revision  Changes    Path
  1.1320    +1 -0      ports/textproc/Makefile
  1.1       +23 -0     ports/textproc/mdocml/Makefile (new)
  1.1       +3 -0      ports/textproc/mdocml/distinfo (new)
  1.1       +32 -0     ports/textproc/mdocml/files/patch-Makefile (new)
  1.1       +13 -0     ports/textproc/mdocml/files/patch-main.c (new)
  1.1       +4 -0      ports/textproc/mdocml/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-03-25 18:11:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!